var t;

t = getApp(), Page({
    data: {
        placeholder: "蛇，打雷",
        zimuList: t.globalData.zimuList
    },
    onLoad: function(t) {
        var n = t.zimu;
        this.setData({
            zimu: n
        });
    },
    formSubmitHandle: function(t) {
        var n = this, a = t.detail.value.keywords;
        if (!a) return n.setData({
            tip: !0,
            tipShow: !0
        }), setTimeout(function() {
            n.setData({
                tip: !1
            }), setTimeout(function() {
                n.setData({
                    tipShow: !1
                });
            }, 300);
        }, 3e3), !1;
        n.setData({
            value: a
        }), wx.navigateTo({
            url: encodeURI("/pages/search/search?q=" + a)
        });
    },
    onReady: function() {},
    onShow: function() {},
    onHide: function() {},
    onUnload: function() {},
    onPullDownRefresh: function() {},
    onReachBottom: function() {},
    onShareAppMessage: function() {}
});